ConcessionStoreNote
Concession Store Note provides access to the concessionstorenote resource. The concession store note holds notes created for a the concession stores. The resource is also available as a child of the concessionstoredetail resource.
ConcessionStoreNote Properties Example of a returned note object http://URL/api/concessionstorenote
{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 1,
"RecordsFound": 1,
"StoreNote": [
{
"id": 1,
"Store_Detail_ID": 17,
"Note": "This is a test note",
"Created_Date": "2018-01-06T00:00:00.000Z",
"Note_Type": ""
}
]
}
}
| Property | Example | Description |
|---|---|---|
| id | 4 | Unique note id |
| Store_ID | 17 | ID of the store detail record the note is linked to |
| Note | "The quick brown fox jumps over the lazy dog." | The note test |
| Created_Date | "2018-01-06T00:00:00.000Z" | The date the note was created |
| Note | "RS10001" | The hosts store code (with prefix) |
ConcessionStoreNote Methods
GET /api/ConcessionStoreNote
Returns the detail for all concession store notes in the system.
POST /api/ConcessionStoreNote
Creates a new note based on the json content posted. To create a note you must pass a valid store detail ID and note text as a minimum.
PUT /api/ConcessionStoreNote
Updates an existing note (id of note) passed in request object. To update an existing note you must pass an id and note text as a minimum.
DELETE /api/ConcessionStoreNote/#noteID
Deletes the note with id passed as /#noteID.